import { readFile, readFileSync } from "read-file-safe";
import { parseJSONValue, parseJSONObject, parseJSONArray } from "parse-json-object";
export async function readJSON(path) {
    return readFile(path).then((text)=>parseJSONValue(text));
}
export function readJSONSync(path) {
    const text = readFileSync(path);
    return parseJSONValue(text);
}
export async function readJSONObject(path) {
    return readFile(path).then((text)=>parseJSONObject(text));
}
export function readJSONObjectSync(path) {
    const text = readFileSync(path);
    return parseJSONObject(text);
}
export async function readJSONArray(path) {
    return readFile(path).then((text)=>parseJSONArray(text));
}
export function readJSONArraySync(path) {
    const text = readFileSync(path);
    return parseJSONArray(text);
}
